Page MenuHomePhabricator

Wikimedia\Rdbms\DBQueryTimeoutError on Special:Contributions filtering by namespace
Closed, DeclinedPublic

Description

I had
[Wd-LrwpAAD0AAJ3OZM0AAABW] 2017-10-12 20:09:15: Критичний виняток типу «Wikimedia\Rdbms\DBQueryTimeoutError»
On https://es.wikipedia.org/w/index.php?limit=50&title=Especial%3AContribuciones&contribs=user&target=B1mbo&namespace=828&tagfilter=&start=&end=
Works ok after reload (though I noticed after some time so not immediate one). Reporting just in case.

Query in question (eswiki):

SELECT  rev_id,rev_page,rev_text_id,rev_timestamp,rev_user_text,rev_user,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,rev_sha1,rev_comment AS `rev_comment_text`,NULL AS `rev_comment_data`,NULL AS `rev_comment_cid`,rev_content_format,rev_content_model,user_name,page_namespace,page_title,page_is_new,page_latest,page_is_redirect,page_len,(SELECT  GROUP_CONCAT(ct_tag SEPARATOR ',')  FROM `change_tag`    WHERE ct_rev_id=rev_id  ) AS `ts_tags`  FROM `revision` FORCE INDEX (user_timestamp) INNER JOIN `page` ON ((page_id = rev_page)) LEFT JOIN `user` ON ((rev_user != 0) AND (user_id = rev_user))   WHERE rev_user = '15707' AND (page_namespace = '828') AND ((rev_deleted & 4) = 0)  ORDER BY rev_timestamp DESC LIMIT 51

Event Timeline

Base created this task.Oct 12 2017, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 12 2017, 8:36 PM

I am not seeing an abnormal amount of errors on eswiki for the last 24h hours.
Does this happen every time you try it or did it happen just one time?

Base added a comment.Oct 13 2017, 4:27 PM

@Marostegui , not it was a one time exception. If nothing unusual happens then this can probably be closed.

@Aklapper I am not familiar with nuances behind what WMF group is responsible for what. A wiki spitting some exception on me equals to Operations in my mind, it containing "DB" adds DBA :)

Bawolff updated the task description. (Show Details)Oct 13 2017, 4:31 PM
Bawolff updated the task description. (Show Details)Oct 13 2017, 4:33 PM

Its impossible to optimize this query further unless we denormalize namespace into the revision table (which is unlikely to happen).

With that in mind, and the fact that this was a one-off error and not a regular issue the user was encountering, I'd reccomend closing this bug declined.

Bawolff renamed this task from Wikimedia\Rdbms\DBQueryTimeoutError (not repeated) to Wikimedia\Rdbms\DBQueryTimeoutError on Special:Contributions filtering by namespace.Oct 13 2017, 4:39 PM
Krinkle closed this task as Declined.Aug 23 2018, 10:53 PM